LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XTransferableTextSupplier Interface Reference

`import"XTransferableTextSupplier.idl";`

## Public Member Functions
XTransferable | getTransferableForTextRange ([in] com::sun::star::text::XTextRange xRange)
| Provide access to a transferable representation of a given text range. More...

## Detailed Description

Since
  LibreOffice 7.2

## Member Function Documentation

## ◆ getTransferableForTextRange()

XTransferable getTransferableForTextRange | ( | [in] com::sun::star::text::XTextRange | xRange | ) |

Provide access to a transferable representation of a given text range.

Parameters

  xRange | a text range known to the supplier.

Returns
  a transferable object representing the given text range.

See also
  com::sun::star::datatransfer::XTransferable

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/XTransferableTextSupplier.idl